package com.storlead.sales.service.target;

import com.storlead.framework.common.result.Result;
import com.storlead.framework.mybatis.service.MyBaseService;
import com.storlead.sales.pojo.dto.target.TargetRankingDTO;
import com.storlead.sales.pojo.entity.target.TargetQuotaEntity;

import java.util.Map;

public interface TargetRinkService extends MyBaseService<TargetQuotaEntity> {

    // 成交金额进度
    Map<String, Object> getTotalAmount(TargetRankingDTO targetRankingDTO);

    // 成交订单数进度
    Map<String, Object> getTotalOrders(TargetRankingDTO targetRankingDTO);

    // 新增客户进度
    Map<String, Object> getNewCustomers(TargetRankingDTO targetRankingDTO);

    // 新增商机进度
    Map<String, Object> getNewBusinesses(TargetRankingDTO targetRankingDTO);

    // 新增线索进度
    Map<String, Object> getNewClues(TargetRankingDTO targetRankingDTO);

    // 跟进次数进度
    Map<String, Object> getFollowUpCounts(TargetRankingDTO targetRankingDTO);

    // 合计进度
    Map<String, Object> getTotalProgress(TargetRankingDTO targetRankingDTO);

    // 用户合计进度
    Map<String, Object> getUserTotalProgress(TargetRankingDTO targetRankingDTO);

    // 用户任意指标月度进度
    Map<String, Object> getCurrentMonthProgress(TargetRankingDTO targetRankingDTO);
}
